IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Migration.BatchRecord')
BEGIN
	CREATE TABLE [Data.Migration.BatchRecord]
	(
		Id BIGINT NOT NULL PRIMARY KEY,
		EntityType INT NOT NULL,
		RecordType INT NOT NULL,
		BatchNumber INT NOT NULL,
		FirstId BIGINT NOT NULL,
		LastId BIGINT NOT NULL
	)
END
GO

